diff --git a/ShellB3/shallbethree.sh b/ShellB3/shallbethree.sh
index 4f12ed26ec69adddab092b2b67d818f52268b68d..0f5df0b615f31ec9825e4bcd46a5ed7067ae1a99 100755
--- a/ShellB3/shallbethree.sh
+++ b/ShellB3/shallbethree.sh
@@ -5081,6 +5081,8 @@ PATCH
   
 
   fi
+
+  matplotlib_link_fonts
 }
 
 mk_sip() {
@@ -5487,6 +5489,18 @@ PATCH
 
 }
 
+matplotlib_link_fonts() {
+  isDarwin && return 0
+
+  _find_cots_lib QT5LIBPATH libQt5Core $BASE || return 0
+
+  if [ -e ${QT5LIBPATHLIBDIR}/python${PYFSVER}/site-packages/matplotlib-*-py${PYFSVER}-*.egg/matplotlib/mpl-data/fonts/ttf ] ; then
+    mkdir ${QT5LIBPATHLIBDIR}/fonts || echo -n
+    ( cd ${QT5LIBPATHLIBDIR}/fonts && ln -s ../python${PYFSVER}/site-packages/matplotlib-*-py${PYFSVER}-*.egg/matplotlib/mpl-data/fonts/ttf/*.ttf . )
+  fi
+  return 0
+}    
+
 qt5_install_fonts() {
 
   _find_cots_lib QT5LIBPATH libQt5Core $BASE || oops "Qt5 install couldn't be found"
@@ -5657,6 +5671,9 @@ PATCH
   SYSROOT="" _setup_build_install matplotlib src/optional/matplotlib-${MATPLOTLIBVER}.tar.gz matplotlib-${MATPLOTLIBVER}
 
   fi
+
+  matplotlib_link_fonts
+
 }
 
 mk_pint() {